- Create a conversation attribute
Create a new conversation attribute.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
The data type of the attribute. Allowed types: string, integer, list, decimal, boolean, datetime, relationship, files.
Team IDs that can see this attribute. Empty array means all teams.
[]
- The production API serverhttps://api.intercom.io/conversations/attributes
- The european API serverhttps://api.eu.intercom.io/conversations/attributes
- The australian API serverhttps://api.au.intercom.io/conversations/attributes
- string
- integer
- list
- decimal
- boolean
- datetime
- relationship
- files
curl -i -X POST \
https://api.intercom.io/conversations/attributes \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"name": "api_test_attr",
"data_type": "string",
"description": "Created via API test"
}'Successful response
Value is conversation_attribute.
The data type of the attribute. Allowed types: string, integer, list, decimal, boolean, datetime, relationship, files.
Team IDs that can see this attribute. Empty array means all teams.
[]
The time the attribute was created as a UTC Unix timestamp.
The time the attribute was last updated as a UTC Unix timestamp.
ID of the admin who created the attribute, or null if there isn't one.
- string
- integer
- list
- decimal
- boolean
- datetime
- relationship
- files
{ "type": "conversation_attribute", "id": 8, "name": "api_test_attr", "description": "Created via API test", "data_type": "string", "required": false, "visible_to_team_ids": [], "archived": false, "created_at": 1778239701, "updated_at": 1778239701, "admin_id": "16", "multiline": false }